Bug 140344 - rebuild of gnucash-1.8.9-2.src.rpm fails
rebuild of gnucash-1.8.9-2.src.rpm fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-22 09:51 EST by Karsten Hopp
Modified: 2014-03-16 22:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.8.11-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-09 14:08:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2004-11-22 09:51:42 EST
Description of problem:
gnucash-1.8.9-2.src.rpm can't be rebuild on a current Rawhide system. It fails
during the creation of the help pages with the following errors:


for file in gnucash-help.xml; do \
 xsltproc -o gnucash-help/ --param use.id.as.filename 1 \
 ../../xsl/general-customization.xsl ./$file; \
done
mkdir gnucash-help
compilation error: file ../../xsl/titlepage2.xsl line 7 element template
xsl:template: error duplicate name 'book.titlepage'
compilation error: file ../../xsl/titlepage2.xsl line 115 element template
xsl:template: error duplicate name 'article.titlepage'
../../xsl/toc.xsl:10: namespace error : Namespace prefix doc for type on param
is not defined
<xsl:param name="generate.book.toc" select="1" doc:type="boolean"/>
                                                                 ^
../../xsl/toc.xsl:13: namespace error : Namespace prefix doc for type on param
is not defined
<xsl:param name="generate.article.toc" select="1" doc:type="boolean"/>
                                                                    ^
../../xsl/toc.xsl:16: namespace error : Namespace prefix doc for type on param
is not defined
<xsl:param name="generate.part.toc" select="1" doc:type="boolean"/>
                                                                 ^
../../xsl/toc.xsl:19: namespace error : Namespace prefix doc for type on param
is not defined
<xsl:param name="chapter.autolabel" select="1" doc:type="boolean"/>
                                                                 ^
../../xsl/toc.xsl:22: namespace error : Namespace prefix doc for type on param
is not defined
<xsl:param name="section.autolabel" select="1" doc:type ="boolean"/>
                                                                  ^
../../xsl/toc.xsl:26: namespace error : Namespace prefix doc for type on param
is not defined
aram name="section.label.includes.component.label" select="1" doc:type="boolean"
                                                                               ^
../../xsl/toc.xsl:29: namespace error : Namespace prefix doc for type on param
is not defined
<xsl:param name="use.id.as.filename" select="1" doc:type='boolean'/>
                                                                  ^
../../xsl/copyright.xsl:10: namespace error : Namespace prefix doc for type on
param is not defined
<xsl:param name="make.year.ranges" select="1" doc:type="boolean"/>
                                                                ^
../../xsl/admonitions.xsl:18: namespace error : Namespace prefix doc for type on
param is not defined
<xsl:param name="graphic.default.extension" select="'png'" doc:type="string"/>
                                                                            ^
make[3]: *** [convert-html] Error 5
make[3]: Leaving directory
Comment 1 Bill Nottingham 2005-02-09 14:08:24 EST
1.8.11-1 seems to build. 

Note You need to log in before you can comment on or make changes to this bug.